qubeKey: source-open-exchange-rates
name: source-open-exchange-rates
type: airbyte-source
id: source-open-exchange-rates
maturity: alpha
ui:
  icon: https://connectors.airbyte.com/files/metadata/airbyte/source-open-exchange-rates/latest/icon.svg
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/open-exchange-rates
properties:
  type: object
  title: Open Exchange Rates Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - app_id
  - start_date
  properties:
    base:
      type: string
      default: USD
      examples:
      - EUR
      - USD
      description: Change base currency (3-letter code, default is USD - only modifiable
        in paid plans)
    app_id:
      type: string
      description: App ID provided by Open Exchange Rates
      airbyte_secret: true
    start_date:
      type: string
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
      examples:
      - YYYY-MM-DD
      description: Start getting data from that date.
schemaType: {}
